export interface Character {
  characterData: {
    name: string;
    race: string;
    class: string;
    subclass: string;
    level: string;
    background: string;
    experience: string;
    inspiration: string;
    proficiencyBonus: string;
  };
  appearance: {
    age: string;
    height: string;
    weight: string;
    eyes: string;
    skin: string;
    hair: string;
  };
  attributes: {
    strength: [string, boolean];
    dexterity: [string, boolean];
    constitution: [string, boolean];
    intelligence: [string, boolean];
    wisdom: [string, boolean];
    charisma: [string, boolean];
  };
  skills: {
    acrobatics: [string, boolean];
    animalHandling: [string, boolean];
    arcana: [string, boolean];
    athletics: [string, boolean];
    deception: [string, boolean];
    history: [string, boolean];
    insight: [string, boolean];
    intimidation: [string, boolean];
    investigation: [string, boolean];
    medicine: [string, boolean];
    nature: [string, boolean];
    perception: [string, boolean];
    performance: [string, boolean];
    persuasion: [string, boolean];
    religion: [string, boolean];
    sleightOfHand: [string, boolean];
    stealth: [string, boolean];
    survival: [string, boolean];
  };
  combatStats: {
    armorClass: string;
    initiative: string;
    speed: string;
    hitPointMaximum: string;
    currentHitPoints: string;
    temporaryHitPoints: string;
    hitDice: string;
    deathSaveSuccesses: string;
    deathSaveFailures: string;
  };
  weapons: {
    name: string;
    attackBonus: string;
    damage: string;
    damageType: string;
    range: string;
    description: string;
  };
  personality: {
    personalityTraits: string;
    ideals: string;
    bonds: string;
    flaws: string;
  };
}
